Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libpolkit-agent-1-0-123-2.4 RPM for i586

From OpenSuSE Ports Tumbleweed for i586

Name: libpolkit-agent-1-0 Distribution: openSUSE Tumbleweed
Version: 123 Vendor: openSUSE
Release: 2.4 Build date: Fri Dec 8 23:20:51 2023
Group: System/Libraries Build host: reproducible
Size: 46498 Source RPM: polkit-123-2.4.src.rpm
Packager: http://bugs.opensuse.org
Url: https://gitlab.freedesktop.org/polkit/polkit/
Summary: PolicyKit Authorization Framework -- Agent Library
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the agent library only.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Fri Dec 08 2023 Tobias Klausmann <tobias.klausmann@freenet.de>
  - Add 'dbus-service' as Requires instead of /usr/bin/dbus-daemon
    This allow to use other dbus implementations such as dbus-broker with this
    package again. (bsc#1217863)
* Fri Sep 29 2023 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 123:
    + Highlights:
    - better safety with deeper restriction of the configuration
      files
    - better safety with restricting the daemon's owner under
      systemd
    - better safety with the systemd unit sandboxing
    - less thread races during upload of the configuration
  - Changes from version 122:
    + Highlights:
    - new Georgian translation
    - port to mozjs-102
    - daemon-less build (support for e.g. flatpak deps)
    - re-enable of (API) documentation build
  - See more detailed changes in the included NEWS.md file.
  - Change URL and Source to new home, and drop polkit.keyring and
    tar.gz.sign tarball signature, no longer available.
  - Drop polkit-fix-pam-prefix.patch: Fixed upstream.
  - Add /usr/bin/dbus-daemon BuildRequires, needed for tests. Replace
    the dbus-1 with /usr/bin/dbus-daemon Requires.
* Tue Sep 19 2023 Ludwig Nussel <lnussel@suse.com>
  - change /usr/share/polkit-1/rules.d to 555,root:root. /usr content
    isn't secret anyway so this avoids non-root owned files in /usr
    (boo#1215482)
  - update 50-default.rules to allow adding more admin rules
    (jsc#PED-260, drop polkit-no-wheel-group.patch)
* Wed Mar 29 2023 Johannes Segitz <jsegitz@suse.com>
  - Change permissions for rules folders (bsc#1209282)
* Wed Nov 09 2022 aschnell@suse.com
  - read actions also from /etc/polkit-1/actions (jsc#PED-1405)
    added polkit-actions-in-etc.patch
* Thu Sep 15 2022 Marcus Meissner <meissner@suse.com>
  - obsolete libpolkit0 also from baselibs.
* Tue Aug 09 2022 Luciano Santos <luc14n0@opensuse.org>
  - Update to version 121:
    + Addition of duktape as a JS engine backend.
    + Other small fixes and improvements. For more details, visit:
      gitlab.freedesktop.org/polkit/polkit/-/blob/121/NEWS.md
    + Updated translations.
  - Drop merged-upstream patches:
    + CVE-2021-4034-pkexec-fix.patch;
    + 0001-CVE-2021-4115-GHSL-2021-077-fix.patch;
    + duktape-support.patch;
    + pkexec.patch.
  - Replace Intltool with Gettext as a build requirement following
    the migration from last release (0.120).
  - Add Meson as a build requirement while dropping Libtool and
    replace all Autotools macros with Meson ones. And pass the
    following options to Meson: session_tracking=libsystemd-login;
    systemdsystemunitdir=%{_unitdir}; os_type=suse;
    pam_module_dir=%{_pam_moduledir}; pam_prefix=%{_pam_vendordir};
    examples=true; tests=true; gtk_doc=true; man=true and
    js_engine=duktape.
  - Drop no longer needed Libtool as a build requirement, following
    Autotools replacement.
  - Add explicit pkgconfig module build requirements for glib-2.0 and
    gobject-2.0 that are searched by the build scripts. They were
    already being pulled by their siblings [pkgconfig(gio-2.0) and
    pkgconfig(gio-unix-2.0)].
  - Drop conditional macro, which was wrapping "BuildArch: noarch"
    for the doc subpackage, based on long gone EOLed (open)SUSE
    release (11.2).
  - Add missing 'Requires(post): permissions' for the pkexec
    subpackage.
  - Add python3-dbus-python and python3-python-dbusmock as build
    requirements in order to run test in the check section.
  - Add polkit-fix-pam-prefix.patch to use the value of pam_prefix
    Meson option, like it was designed to, rather than hard-coded
    path for pam configuration files.
  - Remove unneeded executable bit from 50-default.rules file.
* Mon Aug 08 2022 Thorsten Kukuk <kukuk@suse.com>
  - Use %_pam_vendordir
* Wed Aug 03 2022 Marcus Meissner <meissner@suse.com>
  - add split-provides for polkit:/usr/bin/pkexec. (bsc#1202070)
* Mon Jul 18 2022 Marcus Meissner <meissner@suse.com>
  - split out pkexec into seperate package to make system hardening
    easier (to avoid installing it jsc#PED-132 jsc#PED-148).
* Tue Feb 22 2022 Marcus Meissner <meissner@suse.com>
  - Fixed denial of service via file descriptor leak (bsc#1195542 CVE-2021-4115)
    0001-CVE-2021-4115-GHSL-2021-077-fix.patch
* Wed Jan 26 2022 Fabian Vogt <fvogt@suse.com>
  - Switch from mozjs to duktape:
    * Add duktape-support.patch
* Tue Jan 25 2022 Marcus Meissner <meissner@suse.com>
  - Fixed pkexec Local Privilege Escalation aka pwnkit (CVE-2021-4034 bsc#1194568)
    CVE-2021-4034-pkexec-fix.patch
* Mon Dec 06 2021 Dirk Müller <dmueller@suse.com>
  - update to 0.120:
    * transition from Intltool to gettext
    * several tarball, meson and pipeline fixups
    * Portuguese translation
    * Romanian translation
    * meson build system added
    * CVE-2021-3560 mitigation
    * properties in text listener
    * typos fixups
    * Update Hungarian translation
  - drop CVE-2021-3560.patch  (upstream)
* Wed Oct 20 2021 Marcus Meissner <meissner@suse.com>
  - fork libpolkit0 package into libpolkit-agent-1-0 and libpolkit-gobject-1-0
    as mandated. bsc#1191781
* Sun Jul 18 2021 Callum Farmer <gmbr3@opensuse.org>
  - Change to using systemd-sysusers
  - Remove unneeded shadow dependency, no longer required due to
    systemd-sysusers
  - Fix 50-default.rules file-parent-ownership-mismatch warning
  - Remove --with-pic, no effect with --disable-static
* Wed Jul 07 2021 Stefan Schubert <schubi@suse.com
  - Move /etc/polkit-1/rules.d/50-default.rules to
    /usr/share/polkit-1/rules.d/50-default.rules. The first location
    is only for admin changes.
* Wed Jun 09 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Fix verifyscript: the path to the binary was wrongly defined as
    %{_libexecdir}/lib.
* Thu May 27 2021 Marcus Meissner <meissner@suse.com>
  - CVE-2021-3560: fixed a local privilege escalation using polkit_system_bus_name_get_creds_sync()
    (bsc#1186497)
    CVE-2021-3560.patch
* Thu Mar 11 2021 Thorsten Kukuk <kukuk@suse.com>
  - Move /etc/dbus-1/system.d to /usr/share/dbus-1/system.d, the
    first location is only for admin changes
  - Move pam configuration to /usr/etc/pam.d
* Mon Jan 04 2021 Matthias Gerstner <matthias.gerstner@suse.com>
  move to libexec dir is still not complete:
  - add polkit-adjust-libexec-path.patch: There is another hard coded reference
    of lib/ in the code that this patch addresses.
  - also adjust invocation of %set_permissions and %verify_permissions to new
    libexec dir location.

Files

/usr/lib/libpolkit-agent-1.so.0
/usr/lib/libpolkit-agent-1.so.0.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Jul 12 23:43:39 2024